/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../worldtypes.h"
#include "../../display/primitives/quad.h"
#include "../../input/input.h"

void playerCreate(world_t *world, entity_t *entity);
void playerUpdate(world_t *world, entity_t *entity, shader_t *shader,
  camera_t *camera
);

void playerDispose(world_t *world, entity_t *entity);