#version 330 core

in vec2 TexCoord;

uniform sampler2D u_Text;

out vec4 FragColor;

void main() {
  vec4 color = texture(u_Text, TexCoord);
  if(color.a == 0) {
    FragColor = vec4(1, 1, 1, 1);
  } else {
    FragColor = color;
  }
}